Loading...
Searching...
No Matches
Dune::Functions::BSplineLocalInterpolation< dim, LB > Class Template Reference
Function space bases » Function space basis implementations

Local interpolation in the sense of dune-localfunctions, for the B-spline basis on tensor-product grids. More...

`#include <dune/functions/functionspacebases/bsplinebasis.hh>`

Inheritance diagram for Dune::Functions::BSplineLocalInterpolation< dim, LB >:

## Public Member Functions

template<typename F, typename C>
void | interpolate (const F &f, std::vector< C > &out) const
| Local interpolation of a function.

## Detailed Description

template<int dim, class LB>
class Dune::Functions::BSplineLocalInterpolation< dim, LB >

Local interpolation in the sense of dune-localfunctions, for the B-spline basis on tensor-product grids.

## Member Function Documentation

## interpolate()

template<int dim, class LB>
template<typename F, typename C>

void Dune::Functions::BSplineLocalInterpolation< dim, LB >::interpolate | ( | const F & | f,
|  | std::vector< C > & | out ) const

inline

Local interpolation of a function.

The documentation for this class was generated from the following file:

- bsplinebasis.hh